Mycroft Community Forum

Mycroft on PC not able to connect port 8181 messagebus

Hi, “all of a sudden” when a fully functional mycroft now can’t connect to messagebus port 8181, this port is open on the firewall and VPN both TCP/UDP. But this has been that way long before this issue started happening the enclosure log shows:

ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/mycroft_bus_client/client/client.py”, line 128, in on_error
self.emitter.emit(‘error’, error)
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/pyee/_base.py”, line 116, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/pyee/_base.py”, line 86, in _emit_handle_potential_error
raise error
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_app.py”, line 248, in run_forever
self.sock.connect(
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_core.py”, line 219, in connect
self.sock, addrs = connect(url, self.sock_opt, proxy_info(**options),
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/mycroft_bus_client/client/client.py”, line 128, in on_error
self.emitter.emit(‘error’, error)
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/pyee/_base.py”, line 116, in emit
self._emit_handle_potential_error(event, args[0] if args else None)
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/pyee/_base.py”, line 86, in _emit_handle_potential_error
raise error
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_app.py”, line 248, in run_forever
self.sock.connect(
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_core.py”, line 219, in connect
self.sock, addrs = connect(url, self.sock_opt, proxy_info(**options),
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_app.py”, line 248, in run_forever
self.sock.connect(
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_core.py”, line 219, in connect
self.sock, addrs = connect(url, self.sock_opt, proxy_info(**options),
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/home/vstubbs/mycroft-core/.venv/lib64/python3.8/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused
2021-08-17 08:44:32.702 | ERROR | 4519 | mycroft_bus_client.client.client | Exception closing websocket: ConnectionRefusedError(111, ‘Connection refused’)
2021-08-17 08:44:32.703 | WARNING | 4519 | mycroft_bus_client.client.client | Message Bus Client will reconnect in 60 seconds.

Any thoughts?